{
  "accUserMode" : 2,
  "caption" : "书",
  "codeName" : "bookBookMPickupView2_PickupGridView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookBookMPickupView2_PickupGridView.json",
  "gridRowActiveMode" : 2,
  "memo" : "系统自动添加",
  "name" : "bookBookMPickupView2_PickupGridView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/common.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "PickupGridView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "aggMode" : "NONE",
    "codeName" : "BookMPickupView2_PickupGridView_Grid",
    "columnEnableFilter" : 2,
    "columnEnableLink" : 2,
    "controlType" : "GRID",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSGRIDS/BookMPickupView2_PickupGridView_Grid.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "groupMode" : "NONE",
    "logicName" : "书实体多项数据选择视图（左右关系）_选择数据视图_表格",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据表格处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GRID"
    },
    "getPSDEGridColumns" : [ {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "书名称",
      "codeName" : "bookname",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "bookname",
      "excelCaption" : "书名称",
      "name" : "bookname",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      },
      "getPSSysPFPlugin" : {
        "pluginType" : "GRID_COLRENDER",
        "pluginCode" : "ABBR_NAME_ICON"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "caption" : "更新人",
      "codeName" : "updateman",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updateman",
      "excelCaption" : "更新人",
      "name" : "updateman",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
      },
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "更新时间",
      "codeName" : "updatedate",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updatedate",
      "excelCaption" : "更新时间",
      "name" : "updatedate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    } ],
    "getPSDEGridDataItems" : [ {
      "dataType" : 25,
      "name" : "bookname",
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      }
    }, {
      "dataType" : 25,
      "name" : "updateman",
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "format" : "YYYY-MM-DD HH:mm:ss",
      "dataType" : 5,
      "name" : "updatedate",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfdataaccaction",
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      },
      "dataAccessAction" : true
    }, {
      "dataType" : 25,
      "name" : "phoneid",
      "getPSAppDEField" : {
        "name" : "PHONEID",
        "codeName" : "PhoneId"
      }
    }, {
      "dataType" : 25,
      "name" : "pbookid",
      "getPSAppDEField" : {
        "name" : "PBOOKID",
        "codeName" : "Pbookid"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      }
    } ],
    "getPSDEGridEditItems" : [ {
      "caption" : "书标识",
      "codeName" : "srfkey",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "srfkey"
      },
      "allowEmpty" : true
    } ],
    "pagingSize" : 20,
    "getRemovePSControlAction" : {
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "sortMode" : "REMOTE",
    "hasWFDataItems" : false,
    "enableColFilter" : false,
    "enableCustomized" : false,
    "enableGroup" : false,
    "enablePagingBar" : true,
    "enableRowEdit" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "forceFit" : false,
    "hideHeader" : false,
    "noSort" : false,
    "singleSelect" : false,
    "name" : "grid",
    "modelid" : "C1701C3B-546C-40FA-B63E-B0558F1C23A8",
    "modeltype" : "PSDEGRID"
  }, {
    "codeName" : "Usr09068994_SearchForm",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSSEARCHFORMS/Usr09068994_SearchForm.json",
    "logicName" : "书实体多项数据选择视图（左右关系）_选择数据视图_搜索表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormPages" : [ {
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "EDE3BDCC-036A-4F85-A513-CF1351C6A95A",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 0,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : false,
    "mobileSearchBar" : false
  }, {
    "caption" : "书",
    "codeName" : "BookMPickupView2_PickupGridViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "BookMPickupView2_PickupGridView",
  "getPSDEViewId" : "07F65593-78D9-4368-A8F5-8550E1B99A61",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEPICKUPGRIDVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "书实体多项数据选择视图（左右关系）_选择数据视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEPICKUPGRIDVIEW",
  "xDataControlName" : "grid",
  "enableDP" : true,
  "enableExport" : true,
  "enableFilter" : true,
  "enableImport" : true,
  "enableRowEdit" : false,
  "enableSearch" : true,
  "expandSearchForm" : true,
  "pickupMode" : true,
  "rowEditDefault" : false,
  "modelid" : "bf107c91f202cbced58cebd03f131d11",
  "modeltype" : "PSAPPDEVIEW"
}